### Method

# FwupdPlugin Context get_plugin_names_for_udev_subsystem

#### Declaration [src]

    GPtrArray*
    fu_context_get_plugin_names_for_udev_subsystem (
      FuContext* self,
      const gchar* subsystem,
      GError** error
    )

#### Description [src]

Gets the plugins which registered for a specific subsystem.

Available since: | 1.9.3

#### Parameters

`subsystem` | `const gchar*`
| A subsystem name, e.g. `pciport`, or `block:partition`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `utf8`
| List of plugin names.
| The caller of the method takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.